Subject: Re: linux-next: build failure after merge of the v4l-dvb tree

From: Mauro Carvalho Chehab <[email-masked]>
Date: Tue, 13 Nov 2012 11:14:40 -0200

Em Mon, 12 Nov 2012 11:09:35 +1100
Stephen Rothwell <[email-masked]> escreveu:

> Hi Mauro,
> 
> After merging the v4l-dvb tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> ERROR: "sms_ir_exit" [drivers/media/common/siano/smsmdtv.ko] undefined!
> ERROR: "sms_ir_event" [drivers/media/common/siano/smsmdtv.ko] undefined!
> ERROR: "sms_ir_init" [drivers/media/common/siano/smsmdtv.ko] undefined!
> 
> This is better than Friday, but still not quite there. :-(
> 
> I have used the v4l-dvb tree from next-20121026 again.

Sorry, I did one mistake on my last patch. Instead of adding RC to the
siano core, it was added at the build as if it was an independent module.

The fix is trivial. I'll add it on my tree for tomorrow's merge.

Thanks for pointing it.

Regards,
Mauro

-

[PATCH] [media] siano: fix build with allmodconfig

As reported by Stephen:

	After merging the v4l-dvb tree, today's linux-next build (x86_64
	allmodconfig) failed like this:

	ERROR: "sms_ir_exit" [drivers/media/common/siano/smsmdtv.ko] undefined!
	ERROR: "sms_ir_event" [drivers/media/common/siano/smsmdtv.ko] undefined!
	ERROR: "sms_ir_init" [drivers/media/common/siano/smsmdtv.ko] undefined!

The smsir file should be part of the smsmdtv core, if RC is defined.
Fix it.

Reported-by: Stephen Rothwell <[email-masked]>
Signed-off-by: Mauro Carvalho Chehab <[email-masked]>

diff --git a/drivers/media/common/siano/Makefile b/drivers/media/common/siano/Makefile
index 9e7fdf2..81b1e98 100644
--- a/drivers/media/common/siano/Makefile
+++ b/drivers/media/common/siano/Makefile
@@ -3,7 +3,7 @@ smsmdtv-objs := smscoreapi.o sms-cards.o smsendian.o
 obj-$(CONFIG_SMS_SIANO_MDTV) += smsmdtv.o smsdvb.o
 
 ifeq ($(CONFIG_SMS_SIANO_RC),y)
-  obj-$(CONFIG_SMS_SIANO_MDTV) += smsir.o
+  smsmdtv-objs += smsir.o
 endif
 
 ccflags-y += -Idrivers/media/dvb-core